Bug 889795 - engine: we use gzip -9 to zip files in engine instead of xz (vdsm already uses xz)
engine: we use gzip -9 to zip files in engine instead of xz (vdsm already us...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Greg Padgett
Pavel Stehlik
: Improvement
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2012-12-23 10:34 EST by Dafna Ron
Modified: 2016-06-12 19:15 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf-7
Doc Type: Enhancement
Doc Text:
Engine logs are now compressed using xz instead of gzip -9, which reduces compressed logs by 20-30% and matches the VDSM implementation.
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 17:30:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11508 None None None Never

  None (edit)
Description Dafna Ron 2012-12-23 10:34:18 EST
Description of problem:

can we change ovirtlogrot.sh to use xz instead of gzip -9?
vdsm already uses xz so aside from the fact that xz compression is better, it will be nice if engine uses it too. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. cd /var/log/ovirt-engine
2. ls -ltr
Actual results:

use gz to zip files

Expected results:

it would be nice to use xz

Additional info: 

as you can see in /usr/share/ovirt-engine/scripts/ovirtlogrot.sh
we are using gzip -9
Comment 1 Yaniv Kaul 2012-12-23 11:46:38 EST
It'll reduce the compressed logs by 20-30%, which should be helpful for support log collection as well.
Comment 2 Doron Fediuck 2013-01-03 10:51:15 EST
Need to check if it means we need to require xz in the spec file.
Comment 5 Greg Padgett 2013-02-08 12:33:42 EST
Merged change id: I2487d1a2505a43aa525b8d0d7af3557ce357d685
Comment 7 Cheryn Tan 2013-04-03 02:53:30 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 8 errata-xmlrpc 2013-06-10 17:30:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.